@echo off


set APPNAME=Molad2libtest

set LIBNAME=molad2lib

rem Replace it with your JAVA path
set JAVA_BIN=E:\Java\j2sdk1.4.2\bin
set OLDPATH=%PATH%
set PATH=%JAVA_BIN%;%OLD_PATH%

rem Replace it with your installation path
set J2MEPATH=E:\wtk22
set J2MELIBPATH=%J2MEPATH%/lib

set JAVA_CLASSES=%J2MELIBPATH%/midpapi20.jar;%J2MELIBPATH%/cldcapi11.jar

set MOLADLIB_CLASSES="..\lib\molad2lib.jar"
rem set MOLADLIB_CLASSES="..\lib"

if exist ..\tmpclasses rmdir /Q /S ..\tmpclasses
if exist ..\classes rmdir /Q /S ..\classes

mkdir ..\tmpclasses
mkdir ..\classes

if exist %APPNAME%.jar del /Q %APPNAME%.jar

echo "*** Compiling source files ***"
javac -target 1.1 -g:none  -bootclasspath %JAVA_CLASSES% -classpath ../tmpclasses;%MOLADLIB_CLASSES% -d ../tmpclasses ../src/*.java

echo "*** Preverifying classes ***"
%J2MEPATH%\bin\preverify -classpath %JAVA_CLASSES% -d ../classes ../tmpclasses
rmdir /Q /S ..\tmpclasses

echo "*** Jaring class files ***"
jar cmf manifest.mf %APPNAME%.jar  -C ../classes  .

rem echo "*** Jaring library files ***"
rem jar uf %APPNAME%.jar %APPNAME%.jar -C %MOLADLIB_CLASSES% .

rmdir /Q /S ..\classes 

if not exist %APPNAME%.jar goto Failure

echo "*** It is recommended to update the JAR file size in the JAD file ***"
echo "*** Brlliant! Now type runtest to see how it works ***"
goto :End

:Failure
echo "Build failed!"

:End

	