@echo off

set LIBNAME=molad2lib

rem Replace it with your JAVA path
set JAVA_BIN=E:\Java\j2sdk1.4.2\bin
set OLDPATH=%PATH%
set PATH=%JAVA_BIN%;%OLD_PATH%

rem Replace it with your installation path
set J2MEPATH=E:\wtk22
set J2MELIBPATH=%J2MEPATH%/lib

set JAVA_CLASSES=%J2MELIBPATH%/midpapi20.jar;%J2MELIBPATH%/cldcapi11.jar

echo "*** Creating directories ***"

if exist ..\tmplib rmdir /Q /S ..\tmplib
if exist ..\lib rmdir /Q /S ..\lib
mkdir ..\lib
mkdir ..\tmplib

echo "*** Compiling library source files ***"
javac -target 1.4 -g:none  -bootclasspath %JAVA_CLASSES% -classpath ../tmplib -d ../tmplib ../libsrc/*.java

echo "*** Preverifying library classes *** "
%J2MEPATH%\bin\preverify -classpath %JAVA_CLASSES% -d ../lib  ../tmplib
rmdir /Q /S  ..\tmplib > NUL

echo "*** Jaring library files ***"
jar -cf %LIBNAME%.jar -C ../lib .

echo "*** Moving JAR to ../lib ***"
rmdir /Q /S ..\lib\com
move %LIBNAME%.jar ..\lib

set PATH=%OLD_PATH%
